> This page is for version v2026.01.16-dev.
> For other versions, use one of these documentation indexes:
> - latest (default): https://docs.machanirobotics.dev/latest/llms.txt
> - v2026.01.16-dev: https://docs.machanirobotics.dev/v-2026-01-16-dev/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.machanirobotics.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.machanirobotics.dev/_mcp/server.

# Update Source

PATCH https://api.machanirobotics.com/v1/management/sound/sources/{source}
Content-Type: application/json

Updates info regarding a Sound source.

 This can be used to set a Sound source as default, or change its volume.

Reference: https://docs.machanirobotics.dev/v-2026-01-16-dev/2026-01-16-dev/latest/sound-service/updatesource

## Request

### Path parameters

- `source` (string, required) — The source id.

### Query parameters

- `updateMask` (string, optional) — The fields to update.

### Body (application/json)

This endpoint expects a Source.

- `volume` (integer, required) — Volume of the source, in percentage
- `isDefault` (boolean, required) — Whether this source is the default or not
- `name` (string, optional) — Resource name of an Sound source. Format: //system.v1.engine.core.machanirobotics.com/Sources/\{source} The \{Sound\_source} in the resource name is the id of the source.
- `displayName` (string, optional) — Display name of the source
- `state` (integer, optional) — The state of the source
- `deviceClass` (integer, optional) — The class of the device the source belongs to
- `muted` (boolean, optional) — Whether the source is muted or not

## Response

### 200

OK

- `volume` (integer, required) — Volume of the source, in percentage
- `isDefault` (boolean, required) — Whether this source is the default or not
- `name` (string, optional) — Resource name of an Sound source. Format: //system.v1.engine.core.machanirobotics.com/Sources/\{source} The \{Sound\_source} in the resource name is the id of the source.
- `displayName` (string, optional) — Display name of the source
- `state` (integer, optional) — The state of the source
- `deviceClass` (integer, optional) — The class of the device the source belongs to
- `muted` (boolean, optional) — Whether the source is muted or not

## Errors

### 400 Bad Request Error

Bad Request

- `code` (integer, optional) — The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
- `message` (string, optional) — A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
- `details` (list of GoogleProtobufAny, optional) — A list of messages that carry the error details. There is a common set of message types for APIs to use.

## Types

### GoogleProtobufAny

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

- `@type` (string, optional) — The type of the serialized message.

## Examples

**Request**

```json
{
  "volume": 75,
  "isDefault": true
}
```

**Response**

```json
{
  "volume": 75,
  "isDefault": true,
  "name": "//system.v1.engine.core.machanirobotics.com/Sources/speaker123",
  "displayName": "Main Speaker",
  "state": 2,
  "deviceClass": 3,
  "muted": false
}
```

**SDK Code**

```python
import requests

url = "https://api.machanirobotics.com/v1/management/sound/sources/source"

payload = {
    "volume": 75,
    "isDefault": True
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.machanirobotics.com/v1/management/sound/sources/source';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: '{"volume":75,"isDefault":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.machanirobotics.com/v1/management/sound/sources/source"

	payload := strings.NewReader("{\n  \"volume\": 75,\n  \"isDefault\": true\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.machanirobotics.com/v1/management/sound/sources/source")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"volume\": 75,\n  \"isDefault\": true\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.machanirobotics.com/v1/management/sound/sources/source")
  .header("Content-Type", "application/json")
  .body("{\n  \"volume\": 75,\n  \"isDefault\": true\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.machanirobotics.com/v1/management/sound/sources/source', [
  'body' => '{
  "volume": 75,
  "isDefault": true
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.machanirobotics.com/v1/management/sound/sources/source");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"volume\": 75,\n  \"isDefault\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "volume": 75,
  "isDefault": true
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.machanirobotics.com/v1/management/sound/sources/source")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```